List Videos
GET
/api/v1/media/videosList all videos in your dedicated PeerTube channel.
Response
successbooleanWhether the request succeeded
videosarrayArray of video objects
totalintegerTotal number of videos
Example
- cURL
- Python
curl "https://spideriq.ai/api/v1/media/videos" \
-H "Authorization: Bearer cli_abc123:sk_xxx:secret_xxx"
import requests
url = "https://spideriq.ai/api/v1/media/videos"
headers = {"Authorization": "Bearer cli_abc123:sk_xxx:secret_xxx"}
response = requests.get(url, headers=headers)
print(response.json())
Response Example
{
"success": true,
"videos": [
{
"id": 123,
"title": "Product Demo",
"description": "Our product demonstration video",
"duration": 180,
"views": 42,
"watch_url": "https://videos.spideriq.ai/w/abc123xyz",
"embed_url": "https://videos.spideriq.ai/videos/embed/abc123xyz",
"thumbnail_url": "https://videos.spideriq.ai/static/thumbnails/abc123.jpg",
"privacy": 2,
"state": "published",
"created_at": "2026-01-08T20:30:00Z"
}
],
"total": 1
}